Removed group rights notification messages do not display group names
Closed, ResolvedPublic

Description

Presently, in betalabs,


According to T121661: Clean up lego message in user-rights notification

#2: Groups removed but not added

SINGLE "Your user rights were changed: You are no longer a member of the Administrators group."
PLURAL "Your user rights were changed: You are no longer a member of the Administrators, Checkusers and Oversighters groups.”

Etonkovidova updated the task description. (Show Details)
Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 30 2016, 12:59 AM
Etonkovidova renamed this task from Removing group rights notification message does not display full info to Removed group rights notification messages do not display group names.Jan 30 2016, 1:14 AM
Etonkovidova updated the task description. (Show Details)

For testing: Check the following

This one indicates that there are problems with adding just one group rights.

SBisson triaged this task as High priority.Feb 1 2016, 1:21 PM
SBisson claimed this task.

I can't reproduce any of those issues locally. Wondering if the issue can be related to the localization of group names.

@Etonkovidova Could you check if a group that appears blank on removal would also appear blank when you add it back? Or could you play with different languages? (?uselang)

The screenshots from my last comment covered that case - re-add group rights after removal. I re-checked it again - if only one group is added - it's displayed. If more than one - the first group is not displayed, second(and other) are fully displayed.

The screenshots from my last comment covered that case - re-add group rights after removal. I re-checked it again - if only one group is added - it's displayed. If more than one - the first group is not displayed, second(and other) are fully displayed.

Oh I missed that. So there is a specific group that appears blank in both add and remove cases, right? What is that group please?

Change 267703 had a related patch set uploaded (by Sbisson):
Make sure to use array_values for group names in user-rights notifications

https://gerrit.wikimedia.org/r/267703

Change 267703 merged by jenkins-bot:
Make sure to use array_values for group names in user-rights notifications

https://gerrit.wikimedia.org/r/267703

Checked the fix in betalabs.

ET8 was removed from three groups:

ET13 was added to two groups:


Later, ET13 was removed from two groups and simultaneously added to two groups:

The language in the messages in the screenshots is not what's in the spreadsheet, which is as follows:

Your user rights were changed. You have been added to: Oversighters.
Your user rights were changed. You are no longer a member of: Oversighters, Administrators.
Your user rights were changed. You have been added to: Oversighters. You are no longer a member of: X, Y, Z.

Specifically, in the interest of brevity we got rid of the talk of "groups" and the "ands" and the "the"s, etc. (and remember to put a period after the first phrase then start a new sentence).

Unless there was a discussion I'm unaware of (and to avoid reopening discussion if there wasn't), let's please go with the spreadsheet language.

The screenshots above are outdated and are not representative of the current state of those notifications. They were taken after the first draft on T121661 but before the final work and for the purpose of illustrating a bug with some group names not showing up.

jmatazzoni closed this task as Resolved.Feb 17 2016, 2:21 AM